cmdutil: create dirs for templated cat file output
ClosedPublic

Authored by ryanmce on Nov 7 2017, 4:49 PM.

Details

Summary

Previously, the caller was responsible for creating the directory structure of
files written out using a path template. This is onerous, especially if the
exact filenames are not known upfront, but are being accessed via a matcher.

This patch changes things so that hg will attempt to create the appropriate
directories before writing the output file.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ryanmce created this revision.Nov 7 2017, 4:49 PM
mbthomas accepted this revision.Nov 8 2017, 3:32 PM
yuja accepted this revision.Nov 9 2017, 8:33 AM
This revision is now accepted and ready to land.Nov 9 2017, 8:33 AM
This revision was automatically updated to reflect the committed changes.